#!/bin/bash

killall "SWIMenuExtra" >& /dev/null

# move uninstaller.app to the trash to avoid script error on 10.4.11
# We do several "dirname" calls to walk up the path to get the appname
MYPARENT="$0"
MYPARENT=`dirname "$MYPARENT"`	# <full path to>MacOS
MYPARENT=`dirname "$MYPARENT"`	# <full path to>Contents
MYPARENT=`dirname "$MYPARENT"`	# <full path to>Uninstaller.app

MYNAME=`basename "$MYPARENT"`	# Uninstaller.app

MYTRASH="/Users/$USER/.Trash"

if [ "$1" = "noTrash" ]; then 
	echo "Don't trash $MYPARENT"
else

	# First, remove any old copies that might be in the trash
	rm -rf "$MYTRASH/$MYNAME"

	# Now, move myself to the trash
	mv "$MYPARENT" "$MYTRASH"
fi 

if [ -e "/Applications/Sierra Wireless/SWIMenuExtra.app" ] ; then
  "/Applications/Sierra Wireless/SWIMenuExtra.app/Contents/MacOS/SWIMenuExtra" -r
fi

rm -rf "/Applications/Sierra Wireless/SWIMenuExtra.app"
rm -f "/Applications/Sierra Wireless/User Guide.pdf"
rm -f "/Applications/Sierra Wireless/.DS_Store"
rm -rf "/Applications/Sierra Wireless/Tools"
# delete the following folder only if not empty
rmdir "/Applications/Sierra Wireless" >& /dev/null


rm -rf "$HOME/Library/preferences/com.sierrawireless.swimenuextra.plist"
rm -rf /Library/Receipts/SWI Menu Extra application.pkg

logdir="$HOME/Library/Logs"
if [ ! -d  "$logdir" ]; then
	echo "$logdir not found, creating"
	mkdir "$logdir"
fi
"$MYTRASH/$MYNAME/Contents/Resources/uninstall_drivers.bash" >> "$HOME/Library/Logs/SierraUninstall_drivers.log" 2>&1

rm -f "/Library/Application Support/Sierra Wireless/.DS_Store"
rm -rf "/Library/Application Support/Sierra Wireless/Collect Logs.app"
# delete the following folder only if not empty
rmdir "/Library/Application Support/Sierra Wireless" >& /dev/null

exit 0